Skip to navigation

Create a workflow trigger

Creates a manual workflow trigger for a concrete resource instance. Provide the payload for exactly one supported target type. Requires the WORKFLOW_TRIGGER.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenumRequired
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
customer_idstring or nullOptional
Customer scope associated with the trigger execution.
customerobject or nullOptional
The expanded customer associated with the trigger execution.
workflow_idstringOptional
Workflow executed by this trigger.
workflowobject or nullOptional
The expanded workflow executed by this trigger.
invoiceobjectOptional
Invoice trigger details for executions that run on an invoice.
paymentobjectOptional
Payment trigger details for executions that run on a payment.
pricing_plan_subscriptionobjectOptional
Pricing plan subscription trigger details for executions that run on a subscription.
walletobjectOptional
Wallet trigger details for executions that run on a wallet balance event.
usageobjectOptional
Usage trigger details for executions that run on a usage event.

Response

Created
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
customer_idstring or nullOptional
Customer scope associated with the trigger execution.
customerobject or nullOptional
The expanded customer associated with the trigger execution.
workflow_idstringOptional
Workflow executed by this trigger.
workflowobject or nullOptional
The expanded workflow executed by this trigger.
typeenumOptional
Source of the trigger execution, such as a manual request or a system event.
Allowed values:
invoiceobjectOptional
Invoice trigger details for executions that run on an invoice.
paymentobjectOptional
Payment trigger details for executions that run on a payment.
pricing_plan_subscriptionobjectOptional
Pricing plan subscription trigger details for executions that run on a subscription.
walletobjectOptional
Wallet trigger details for executions that run on a wallet balance event.
usageobjectOptional
Usage trigger details for executions that run on a usage event.

Errors

401
Unauthorized Error
403
Forbidden Error